# FoundationClasses
TKernel
TColStd

# TColStd_SetOfReal Class Reference

`#include <TColStd_SetOfReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_SetOfReal ()
Standard_Integer | Extent () const
Standard_Boolean | IsEmpty () const
void | Clear ()
Standard_EXPORT Standard_Boolean | Add (const Standard_Real &T)
Standard_EXPORT Standard_Boolean | Remove (const Standard_Real &T)
Standard_EXPORT void | Union (const TColStd_SetOfReal &B)
Standard_EXPORT void | Intersection (const TColStd_SetOfReal &B)
Standard_EXPORT void | Difference (const TColStd_SetOfReal &B)
Standard_EXPORT Standard_Boolean | Contains (const Standard_Real &T) const
Standard_EXPORT Standard_Boolean | IsASubset (const TColStd_SetOfReal &S) const
Standard_EXPORT Standard_Boolean | IsAProperSubset (const TColStd_SetOfReal &S) const

## Private Member Functions

Standard_EXPORT | TColStd_SetOfReal (const TColStd_SetOfReal &Other)

## Private Attributes

TColStd_SetListOfSetOfReal | myItems

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_SetOfReal::TColStd_SetOfReal | ( |  | ) |

Standard_EXPORT TColStd_SetOfReal::TColStd_SetOfReal | ( | const TColStd_SetOfReal & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TColStd_SetOfReal::Add | ( | const Standard_Real & | T | ) |

void TColStd_SetOfReal::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TColStd_SetOfReal::Contains | ( | const Standard_Real & | T | ) | const

Standard_EXPORT void TColStd_SetOfReal::Difference | ( | const TColStd_SetOfReal & | B | ) |

Standard_Integer TColStd_SetOfReal::Extent | ( |  | ) | const

Standard_EXPORT void TColStd_SetOfReal::Intersection | ( | const TColStd_SetOfReal & | B | ) |

Standard_EXPORT Standard_Boolean TColStd_SetOfReal::IsAProperSubset | ( | const TColStd_SetOfReal & | S | ) | const

Standard_EXPORT Standard_Boolean TColStd_SetOfReal::IsASubset | ( | const TColStd_SetOfReal & | S | ) | const

Standard_Boolean TColStd_SetOfReal::IsEmpty | ( |  | ) | const

void TColStd_SetOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_SetOfReal::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_SetOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Boolean TColStd_SetOfReal::Remove | ( | const Standard_Real & | T | ) |

Standard_EXPORT void TColStd_SetOfReal::Union | ( | const TColStd_SetOfReal & | B | ) |

## Field Documentation

TColStd_SetListOfSetOfReal TColStd_SetOfReal::myItems `[private]`

The documentation for this class was generated from the following file:

- TColStd_SetOfReal.hxx